EDIT - feature request #7348

RegistrationDTO webservices implemented
04/11/2018 03:18 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.2

Severity: normal

Description

The webservices exposing RegistrationsDTOs must not expose Registrations to unauthenticated users which are not yet
PUBLISHED!!!

Return type: RegistrationDTO
RegistrationDTOController
Endpoints (same endpoints as Registration controller but returns RegistrationDTOs instead of Registration entities):

/registration/{uuid}
/registration/find

the below endpoints will be implemented in #6967

/registration/identifier/{identifier}

Hegistration/{localtb} not needed

Related issues:
Related to EDIT - feature request #6964: Registration webservices implemented Closed

Associated revisions

Revision 6e858cb7 - 04/11/2018 04:53 PM - Andreas Kohlbecker

ref #7348 moving RegistrationDTO related classes from cdm-vaadin to cdmlib-services

Revision 6d6d19d1 - 04/11/2018 04:55 PM - Andreas Kohlbecker

ref #7348 moving RegistrationDTO related classes into cdmlib-services conformant packages

Revision d343852d - 04/11/2018 04:55 PM - Andreas Kohlbecker

ref #7348 moving RegistrationDTO related classes from cdm-vaadin to cdmlib-services

Revision 050137a3 - 07/12/2018 10:11 PM - Andreas Kohlbecker
ref #7348 TypeDesignationSetManager provides TaggedText representation

Revision 727a2e1a - 07/13/2018 07:57 AM - Andreas Kohlbecker

ref #7348 typeDesignations as non bean property to supress it for RegistrationDTO serializations

Revision bca2429d - 07/13/2018 12:36 PM - Andreas Kohlbecker

ref #7348 implementing find service for registrations with user, typeDesignationStatus, registrationStatus, identifier and taxonname filters

Revision 60f27ea9 - 07/13/2018 12:37 PM - Andreas Kohlbecker

ref #7348 implementing find service for registrations with user, typeDesignationStatus, registrationStatus, identifier and taxonname filters

Revision 6eb9a868 - 07/13/2018 01:09 PM - Andreas Kohlbecker

ref #7348 preliminar swagger documentation on RegistrationDTOController and RegistrationController
Revision afedac7e - 07/19/2018 08:26 AM - Andreas Kohlbecker

ref #7348 stripping .json and .xml from reguest urls

Revision cdf0f80b - 07/19/2018 08:28 AM - Andreas Kohlbecker
ref #7348 ordering registrations by identifier

Revision 29cfa0a7 - 07/19/2018 10:54 AM - Andreas Kohlbecker

ref #7348 implementing registrationWorkingSet service endpoint and harmonizing logging

Revision 2a14e5d9 - 07/19/2018 12:05 PM - Andreas Kohlbecker

ref #7348 margin to separate items in the registrationWorkingSet

History

#1 - 04/11/2018 03:18 PM - Andreas Kohlbecker

- Related to feature request #6964: Registration webservices implemented added

#2 - 04/11/2018 03:18 PM - Andreas Kohlbecker
- Description updated

#3 - 04/11/2018 03:19 PM - Andreas Kohlbecker
- Description updated

#4 - 05/16/2018 11:20 AM - Andreas Kohlbecker

- Target version changed from Release 5.0 to Release 5.1

#5 - 06/28/2018 08:25 AM - Andreas Kohlbecker

- Target version changed from Release 5.1 to Release 5.2

#6 - 07/10/2018 12:07 PM - Andreas Kohlbecker
- Status changed from New to In Progress

- Priority changed from New to Highest

#7 - 07/12/2018 10:26 PM - Andreas Kohlbecker
- % Done changed from 0 to 40

TODO:

remove the following fields from DTO Serialization:

e typeDesignations
e orderdTypeDesignationWorkingSets, or is this useful?

#8 - 07/13/2018 08:01 AM - Andreas Kohlbecker

- Description updated

#9 - 07/13/2018 12:34 PM - Andreas Kohlbecker

- Description updated

#10 - 07/19/2018 11:43 AM - Andreas Kohlbecker
Andreas Kohlbecker wrote:
TODO:
remove the following fields from DTO Serialization:
e typeDesignations

¢ orderdTypeDesignationWorkingSets, or is this useful?

orderdTypeDesignationWorkingSets is needed since it provides the fieldUnit uuids!!!
#11 - 07/19/2018 03:05 PM - Andreas Kohlbecker
- Status changed from In Progress to Closed

- % Done changed from 40 to 100
complete!

#12 - 07/24/2018 06:15 PM - Andreas Kohlbecker
- Related to feature request #7551: TypeDesignationSetManager provides summary as TaggedText added

#13 - 07/24/2018 06:16 PM - Andreas Kohlbecker
- Related to deleted (feature request #7551: TypeDesignationSetManager provides summary as TaggedText)
